Index: pacemaker/pengine/test10/order-optional-keyword.exp
===================================================================
--- pacemaker.orig/pengine/test10/order-optional-keyword.exp
+++ pacemaker/pengine/test10/order-optional-keyword.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="2" operation="start" operation_key="rsc1_start_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="rsc1" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/order-optional.exp
===================================================================
--- pacemaker.orig/pengine/test10/order-optional.exp
+++ pacemaker/pengine/test10/order-optional.exp
@@ -3,7 +3,7 @@
      <action_set>
       <rsc_op id="2" operation="start" operation_key="rsc1_start_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="rsc1" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs/>
Index: pacemaker/pengine/test10/order-required.exp
===================================================================
--- pacemaker.orig/pengine/test10/order-required.exp
+++ pacemaker/pengine/test10/order-required.exp
@@ -3,7 +3,7 @@
      <action_set>
       <rsc_op id="2" operation="start" operation_key="rsc1_start_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="rsc1" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs/>
@@ -12,7 +12,7 @@
      <action_set>
       <rsc_op id="4" operation="start" operation_key="rsc2_start_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="rsc2" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
     <inputs>
@@ -28,7 +28,7 @@
     <action_set>
       <rsc_op id="3" operation="stop" operation_key="rsc2_stop_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="rsc2" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -37,7 +37,7 @@
      <action_set>
       <rsc_op id="5" operation="stop" operation_key="rsc4_stop_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="rsc4" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="20000" />
        </rsc_op>
      </action_set>
      <inputs/>
Index: pacemaker/pengine/test10/order-serialize-set.exp
===================================================================
--- pacemaker.orig/pengine/test10/order-serialize-set.exp
+++ pacemaker/pengine/test10/order-serialize-set.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="13" operation="stop" operation_key="xen-a-fencing_stop_0" on_node="xen-b" on_node_uuid="9cb7f556-e0a7-4073-8845-2d7c1d54e331">
         <primitive id="xen-a-fencing" class="stonith" type="external/ipmi"/>
-        <attributes CRM_meta_timeout="20000"  hostname="xen-a" interface="lanplus" ipaddr="217.148.178.55" passwd="****" userid="root"/>
+        <attributes CRM_meta_on_node="xen-b" CRM_meta_on_node_uuid="9cb7f556-e0a7-4073-8845-2d7c1d54e331" CRM_meta_timeout="20000"  hostname="xen-a" interface="lanplus" ipaddr="217.148.178.55" passwd="****" userid="root"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -12,7 +12,7 @@
     <action_set>
       <rsc_op id="12" operation="start" operation_key="xen-a-fencing_start_0" on_node="xen-b" on_node_uuid="9cb7f556-e0a7-4073-8845-2d7c1d54e331">
         <primitive id="xen-a-fencing" class="stonith" type="external/ipmi"/>
-        <attributes CRM_meta_timeout="20000"  hostname="xen-a" interface="lanplus" ipaddr="217.148.178.55" passwd="****" userid="root"/>
+        <attributes CRM_meta_on_node="xen-b" CRM_meta_on_node_uuid="9cb7f556-e0a7-4073-8845-2d7c1d54e331" CRM_meta_timeout="20000"  hostname="xen-a" interface="lanplus" ipaddr="217.148.178.55" passwd="****" userid="root"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -25,7 +25,7 @@
     <action_set>
       <rsc_op id="7" operation="monitor" operation_key="xen-a-fencing_monitor_60000" on_node="xen-b" on_node_uuid="9cb7f556-e0a7-4073-8845-2d7c1d54e331">
         <primitive id="xen-a-fencing" class="stonith" type="external/ipmi"/>
-        <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_start_delay="15000" CRM_meta_timeout="60000"  hostname="xen-a" interface="lanplus" ipaddr="217.148.178.55" passwd="****" userid="root"/>
+        <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_on_node="xen-b" CRM_meta_on_node_uuid="9cb7f556-e0a7-4073-8845-2d7c1d54e331" CRM_meta_start_delay="15000" CRM_meta_timeout="60000"  hostname="xen-a" interface="lanplus" ipaddr="217.148.178.55" passwd="****" userid="root"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -38,7 +38,7 @@
     <action_set>
       <rsc_op id="14" operation="stop" operation_key="xen-b-fencing_stop_0" on_node="xen-a" on_node_uuid="445a93d5-655e-430b-b45d-47d79a2f78c7">
         <primitive id="xen-b-fencing" class="stonith" type="external/ipmi"/>
-        <attributes CRM_meta_timeout="20000"  hostname="xen-b" interface="lanplus" ipaddr="217.148.178.56" passwd="****" userid="root"/>
+        <attributes CRM_meta_on_node="xen-a" CRM_meta_on_node_uuid="445a93d5-655e-430b-b45d-47d79a2f78c7" CRM_meta_timeout="20000"  hostname="xen-b" interface="lanplus" ipaddr="217.148.178.56" passwd="****" userid="root"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -47,7 +47,7 @@
     <action_set>
       <rsc_op id="19" operation="migrate_from" operation_key="db_migrate_from_0" on_node="xen-b" on_node_uuid="9cb7f556-e0a7-4073-8845-2d7c1d54e331">
         <primitive id="db" class="ocf" provider="heartbeat" type="Xen"/>
-        <attributes CRM_meta_migrate_source="xen-a" CRM_meta_migrate_target="xen-b" CRM_meta_name="migrate_from" CRM_meta_timeout="400000"  name="db" xmfile="/etc/xen/db.cfg"/>
+        <attributes CRM_meta_migrate_source="xen-a" CRM_meta_migrate_target="xen-b" CRM_meta_name="migrate_from" CRM_meta_on_node="xen-b" CRM_meta_on_node_uuid="9cb7f556-e0a7-4073-8845-2d7c1d54e331" CRM_meta_timeout="400000"  name="db" xmfile="/etc/xen/db.cfg"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -60,7 +60,7 @@
     <action_set>
       <rsc_op id="18" operation="migrate_to" operation_key="db_migrate_to_0" on_node="xen-a" on_node_uuid="445a93d5-655e-430b-b45d-47d79a2f78c7">
         <primitive id="db" class="ocf" provider="heartbeat" type="Xen"/>
-        <attributes CRM_meta_migrate_source="xen-a" CRM_meta_migrate_target="xen-b" CRM_meta_name="migrate_to" CRM_meta_record_pending="true" CRM_meta_timeout="400000"  name="db" xmfile="/etc/xen/db.cfg"/>
+        <attributes CRM_meta_migrate_source="xen-a" CRM_meta_migrate_target="xen-b" CRM_meta_name="migrate_to" CRM_meta_on_node="xen-a" CRM_meta_on_node_uuid="445a93d5-655e-430b-b45d-47d79a2f78c7" CRM_meta_record_pending="true" CRM_meta_timeout="400000"  name="db" xmfile="/etc/xen/db.cfg"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -69,7 +69,7 @@
     <action_set>
       <rsc_op id="17" operation="monitor" operation_key="db_monitor_10000" on_node="xen-b" on_node_uuid="9cb7f556-e0a7-4073-8845-2d7c1d54e331">
         <primitive id="db" class="ocf" provider="heartbeat" type="Xen"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="20000"  name="db" xmfile="/etc/xen/db.cfg"/>
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="xen-b" CRM_meta_on_node_uuid="9cb7f556-e0a7-4073-8845-2d7c1d54e331" CRM_meta_timeout="20000"  name="db" xmfile="/etc/xen/db.cfg"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -97,7 +97,7 @@
     <action_set>
       <rsc_op id="15" operation="stop" operation_key="db_stop_0" on_node="xen-a" on_node_uuid="445a93d5-655e-430b-b45d-47d79a2f78c7">
         <primitive id="db" class="ocf" provider="heartbeat" type="Xen"/>
-        <attributes CRM_meta_name="stop" CRM_meta_timeout="300000"  name="db" xmfile="/etc/xen/db.cfg"/>
+        <attributes CRM_meta_name="stop" CRM_meta_on_node="xen-a" CRM_meta_on_node_uuid="445a93d5-655e-430b-b45d-47d79a2f78c7" CRM_meta_timeout="300000"  name="db" xmfile="/etc/xen/db.cfg"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -110,7 +110,7 @@
     <action_set>
       <rsc_op id="26" operation="migrate_from" operation_key="core-101_migrate_from_0" on_node="xen-b" on_node_uuid="9cb7f556-e0a7-4073-8845-2d7c1d54e331">
         <primitive id="core-101" class="ocf" provider="heartbeat" type="Xen"/>
-        <attributes CRM_meta_migrate_source="xen-a" CRM_meta_migrate_target="xen-b" CRM_meta_name="migrate_from" CRM_meta_timeout="400000"  name="core-101" xmfile="/etc/xen/core-101.cfg"/>
+        <attributes CRM_meta_migrate_source="xen-a" CRM_meta_migrate_target="xen-b" CRM_meta_name="migrate_from" CRM_meta_on_node="xen-b" CRM_meta_on_node_uuid="9cb7f556-e0a7-4073-8845-2d7c1d54e331" CRM_meta_timeout="400000"  name="core-101" xmfile="/etc/xen/core-101.cfg"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -123,7 +123,7 @@
     <action_set>
       <rsc_op id="25" operation="migrate_to" operation_key="core-101_migrate_to_0" on_node="xen-a" on_node_uuid="445a93d5-655e-430b-b45d-47d79a2f78c7">
         <primitive id="core-101" class="ocf" provider="heartbeat" type="Xen"/>
-        <attributes CRM_meta_migrate_source="xen-a" CRM_meta_migrate_target="xen-b" CRM_meta_name="migrate_to" CRM_meta_record_pending="true" CRM_meta_timeout="400000"  name="core-101" xmfile="/etc/xen/core-101.cfg"/>
+        <attributes CRM_meta_migrate_source="xen-a" CRM_meta_migrate_target="xen-b" CRM_meta_name="migrate_to" CRM_meta_on_node="xen-a" CRM_meta_on_node_uuid="445a93d5-655e-430b-b45d-47d79a2f78c7" CRM_meta_record_pending="true" CRM_meta_timeout="400000"  name="core-101" xmfile="/etc/xen/core-101.cfg"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -136,7 +136,7 @@
     <action_set>
       <rsc_op id="24" operation="monitor" operation_key="core-101_monitor_10000" on_node="xen-b" on_node_uuid="9cb7f556-e0a7-4073-8845-2d7c1d54e331">
         <primitive id="core-101" class="ocf" provider="heartbeat" type="Xen"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="30000"  name="core-101" xmfile="/etc/xen/core-101.cfg"/>
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="xen-b" CRM_meta_on_node_uuid="9cb7f556-e0a7-4073-8845-2d7c1d54e331" CRM_meta_timeout="30000"  name="core-101" xmfile="/etc/xen/core-101.cfg"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -167,7 +167,7 @@
     <action_set>
       <rsc_op id="22" operation="stop" operation_key="core-101_stop_0" on_node="xen-a" on_node_uuid="445a93d5-655e-430b-b45d-47d79a2f78c7">
         <primitive id="core-101" class="ocf" provider="heartbeat" type="Xen"/>
-        <attributes CRM_meta_name="stop" CRM_meta_timeout="300000"  name="core-101" xmfile="/etc/xen/core-101.cfg"/>
+        <attributes CRM_meta_name="stop" CRM_meta_on_node="xen-a" CRM_meta_on_node_uuid="445a93d5-655e-430b-b45d-47d79a2f78c7" CRM_meta_timeout="300000"  name="core-101" xmfile="/etc/xen/core-101.cfg"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -180,7 +180,7 @@
     <action_set>
       <rsc_op id="31" operation="migrate_from" operation_key="core-200_migrate_from_0" on_node="xen-b" on_node_uuid="9cb7f556-e0a7-4073-8845-2d7c1d54e331">
         <primitive id="core-200" class="ocf" provider="heartbeat" type="Xen"/>
-        <attributes CRM_meta_migrate_source="xen-a" CRM_meta_migrate_target="xen-b" CRM_meta_name="migrate_from" CRM_meta_timeout="400000"  name="core-200" xmfile="/etc/xen/core-200.cfg"/>
+        <attributes CRM_meta_migrate_source="xen-a" CRM_meta_migrate_target="xen-b" CRM_meta_name="migrate_from" CRM_meta_on_node="xen-b" CRM_meta_on_node_uuid="9cb7f556-e0a7-4073-8845-2d7c1d54e331" CRM_meta_timeout="400000"  name="core-200" xmfile="/etc/xen/core-200.cfg"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -193,7 +193,7 @@
     <action_set>
       <rsc_op id="30" operation="migrate_to" operation_key="core-200_migrate_to_0" on_node="xen-a" on_node_uuid="445a93d5-655e-430b-b45d-47d79a2f78c7">
         <primitive id="core-200" class="ocf" provider="heartbeat" type="Xen"/>
-        <attributes CRM_meta_migrate_source="xen-a" CRM_meta_migrate_target="xen-b" CRM_meta_name="migrate_to" CRM_meta_record_pending="true" CRM_meta_timeout="400000"  name="core-200" xmfile="/etc/xen/core-200.cfg"/>
+        <attributes CRM_meta_migrate_source="xen-a" CRM_meta_migrate_target="xen-b" CRM_meta_name="migrate_to" CRM_meta_on_node="xen-a" CRM_meta_on_node_uuid="445a93d5-655e-430b-b45d-47d79a2f78c7" CRM_meta_record_pending="true" CRM_meta_timeout="400000"  name="core-200" xmfile="/etc/xen/core-200.cfg"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -209,7 +209,7 @@
     <action_set>
       <rsc_op id="29" operation="monitor" operation_key="core-200_monitor_10000" on_node="xen-b" on_node_uuid="9cb7f556-e0a7-4073-8845-2d7c1d54e331">
         <primitive id="core-200" class="ocf" provider="heartbeat" type="Xen"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="20000"  name="core-200" xmfile="/etc/xen/core-200.cfg"/>
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="xen-b" CRM_meta_on_node_uuid="9cb7f556-e0a7-4073-8845-2d7c1d54e331" CRM_meta_timeout="20000"  name="core-200" xmfile="/etc/xen/core-200.cfg"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -243,7 +243,7 @@
     <action_set>
       <rsc_op id="27" operation="stop" operation_key="core-200_stop_0" on_node="xen-a" on_node_uuid="445a93d5-655e-430b-b45d-47d79a2f78c7">
         <primitive id="core-200" class="ocf" provider="heartbeat" type="Xen"/>
-        <attributes CRM_meta_name="stop" CRM_meta_timeout="300000"  name="core-200" xmfile="/etc/xen/core-200.cfg"/>
+        <attributes CRM_meta_name="stop" CRM_meta_on_node="xen-a" CRM_meta_on_node_uuid="445a93d5-655e-430b-b45d-47d79a2f78c7" CRM_meta_timeout="300000"  name="core-200" xmfile="/etc/xen/core-200.cfg"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -256,7 +256,7 @@
     <action_set>
       <rsc_op id="38" operation="migrate_from" operation_key="edge_migrate_from_0" on_node="xen-b" on_node_uuid="9cb7f556-e0a7-4073-8845-2d7c1d54e331">
         <primitive id="edge" class="ocf" provider="heartbeat" type="Xen"/>
-        <attributes CRM_meta_migrate_source="xen-a" CRM_meta_migrate_target="xen-b" CRM_meta_name="migrate_from" CRM_meta_timeout="400000"  name="edge" xmfile="/etc/xen/edge.cfg"/>
+        <attributes CRM_meta_migrate_source="xen-a" CRM_meta_migrate_target="xen-b" CRM_meta_name="migrate_from" CRM_meta_on_node="xen-b" CRM_meta_on_node_uuid="9cb7f556-e0a7-4073-8845-2d7c1d54e331" CRM_meta_timeout="400000"  name="edge" xmfile="/etc/xen/edge.cfg"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -269,7 +269,7 @@
     <action_set>
       <rsc_op id="37" operation="migrate_to" operation_key="edge_migrate_to_0" on_node="xen-a" on_node_uuid="445a93d5-655e-430b-b45d-47d79a2f78c7">
         <primitive id="edge" class="ocf" provider="heartbeat" type="Xen"/>
-        <attributes CRM_meta_migrate_source="xen-a" CRM_meta_migrate_target="xen-b" CRM_meta_name="migrate_to" CRM_meta_record_pending="true" CRM_meta_timeout="400000"  name="edge" xmfile="/etc/xen/edge.cfg"/>
+        <attributes CRM_meta_migrate_source="xen-a" CRM_meta_migrate_target="xen-b" CRM_meta_name="migrate_to" CRM_meta_on_node="xen-a" CRM_meta_on_node_uuid="445a93d5-655e-430b-b45d-47d79a2f78c7" CRM_meta_record_pending="true" CRM_meta_timeout="400000"  name="edge" xmfile="/etc/xen/edge.cfg"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -288,7 +288,7 @@
     <action_set>
       <rsc_op id="36" operation="monitor" operation_key="edge_monitor_10000" on_node="xen-b" on_node_uuid="9cb7f556-e0a7-4073-8845-2d7c1d54e331">
         <primitive id="edge" class="ocf" provider="heartbeat" type="Xen"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="20000"  name="edge" xmfile="/etc/xen/edge.cfg"/>
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="xen-b" CRM_meta_on_node_uuid="9cb7f556-e0a7-4073-8845-2d7c1d54e331" CRM_meta_timeout="20000"  name="edge" xmfile="/etc/xen/edge.cfg"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -325,7 +325,7 @@
     <action_set>
       <rsc_op id="34" operation="stop" operation_key="edge_stop_0" on_node="xen-a" on_node_uuid="445a93d5-655e-430b-b45d-47d79a2f78c7">
         <primitive id="edge" class="ocf" provider="heartbeat" type="Xen"/>
-        <attributes CRM_meta_name="stop" CRM_meta_timeout="300000"  name="edge" xmfile="/etc/xen/edge.cfg"/>
+        <attributes CRM_meta_name="stop" CRM_meta_on_node="xen-a" CRM_meta_on_node_uuid="445a93d5-655e-430b-b45d-47d79a2f78c7" CRM_meta_timeout="300000"  name="edge" xmfile="/etc/xen/edge.cfg"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -338,7 +338,7 @@
     <action_set>
       <rsc_op id="43" operation="migrate_from" operation_key="base_migrate_from_0" on_node="xen-b" on_node_uuid="9cb7f556-e0a7-4073-8845-2d7c1d54e331">
         <primitive id="base" class="ocf" provider="heartbeat" type="Xen"/>
-        <attributes CRM_meta_migrate_source="xen-a" CRM_meta_migrate_target="xen-b" CRM_meta_name="migrate_from" CRM_meta_timeout="400000"  name="base" xmfile="/etc/xen/base.cfg"/>
+        <attributes CRM_meta_migrate_source="xen-a" CRM_meta_migrate_target="xen-b" CRM_meta_name="migrate_from" CRM_meta_on_node="xen-b" CRM_meta_on_node_uuid="9cb7f556-e0a7-4073-8845-2d7c1d54e331" CRM_meta_timeout="400000"  name="base" xmfile="/etc/xen/base.cfg"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -351,7 +351,7 @@
     <action_set>
       <rsc_op id="42" operation="migrate_to" operation_key="base_migrate_to_0" on_node="xen-a" on_node_uuid="445a93d5-655e-430b-b45d-47d79a2f78c7">
         <primitive id="base" class="ocf" provider="heartbeat" type="Xen"/>
-        <attributes CRM_meta_migrate_source="xen-a" CRM_meta_migrate_target="xen-b" CRM_meta_name="migrate_to" CRM_meta_record_pending="true" CRM_meta_timeout="400000"  name="base" xmfile="/etc/xen/base.cfg"/>
+        <attributes CRM_meta_migrate_source="xen-a" CRM_meta_migrate_target="xen-b" CRM_meta_name="migrate_to" CRM_meta_on_node="xen-a" CRM_meta_on_node_uuid="445a93d5-655e-430b-b45d-47d79a2f78c7" CRM_meta_record_pending="true" CRM_meta_timeout="400000"  name="base" xmfile="/etc/xen/base.cfg"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -373,7 +373,7 @@
     <action_set>
       <rsc_op id="41" operation="monitor" operation_key="base_monitor_10000" on_node="xen-b" on_node_uuid="9cb7f556-e0a7-4073-8845-2d7c1d54e331">
         <primitive id="base" class="ocf" provider="heartbeat" type="Xen"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="20000"  name="base" xmfile="/etc/xen/base.cfg"/>
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="xen-b" CRM_meta_on_node_uuid="9cb7f556-e0a7-4073-8845-2d7c1d54e331" CRM_meta_timeout="20000"  name="base" xmfile="/etc/xen/base.cfg"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -413,7 +413,7 @@
     <action_set>
       <rsc_op id="39" operation="stop" operation_key="base_stop_0" on_node="xen-a" on_node_uuid="445a93d5-655e-430b-b45d-47d79a2f78c7">
         <primitive id="base" class="ocf" provider="heartbeat" type="Xen"/>
-        <attributes CRM_meta_name="stop" CRM_meta_timeout="300000"  name="base" xmfile="/etc/xen/base.cfg"/>
+        <attributes CRM_meta_name="stop" CRM_meta_on_node="xen-a" CRM_meta_on_node_uuid="445a93d5-655e-430b-b45d-47d79a2f78c7" CRM_meta_timeout="300000"  name="base" xmfile="/etc/xen/base.cfg"/>
       </rsc_op>
     </action_set>
     <inputs>
